dataone-cn-portal postinst needs entry for DEV-2
Status: Closed Start date: 2015-10-06

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: Authentication, Authorization Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

Need to add a configuration for the dev-2 environment to the postinst script for dataone-cn-portal.

Existing entries:

configure the CILogon skin, default to PRODUCTION

MYPROXY_ID=myproxy:oa4mp,2012:/client/42afd3477fac2eb9bfe99d0b409f6cc6

CILOGON_SKIN=DataONE

db_get dataone-cn-os-core/cn.context.label

CONTEXT_LABEL=$RET

if  &quot;${CONTEXT_LABEL}&quot; == &quot;DEV&quot; ; then

CILOGON_SKIN=DataONEDev

MYPROXY_ID=myproxy:oa4mp,2012:/client/24a10c2cd8bda4e6b5cf244ab7532b2

fi

if  &quot;${CONTEXT_LABEL}&quot; == &quot;STAGE&quot; ; then

CILOGON_SKIN=DataONEStage

MYPROXY_ID=myproxy:oa4mp,2012:/client/7a4c0539fc9eb5c066f1619d73f35c37

fi

if  &quot;${CONTEXT_LABEL}&quot; == &quot;STAGE2&quot; ; then

CILOGON_SKIN=DataONEStage

MYPROXY_ID=myproxy:oa4mp,2012:/client/3f5b88459d880f550e31f485458fc459

fi

if  &quot;${CONTEXT_LABEL}&quot; == &quot;SANDBOX&quot; ; then

CILOGON_SKIN=DataONESandbox

MYPROXY_ID=myproxy:oa4mp,2012:/client/2f533133f3e70b26e60492479aa8f0ef

fi

if  &quot;${CONTEXT_LABEL}&quot; == &quot;SANDBOX2&quot; ; then

CILOGON_SKIN=DataONESandbox

MYPROXY_ID=myproxy:oa4mp,2012:/client/66a303882b6e4bec1e91cbf2ccda1e86

fi

History

#1 - 2015-10-06 13:46 - Dave Vieglais

- Status changed from New to In Progress

- % Done changed from 0 to 30

Note that the current configuration uses the same skins for stage and stage2, and sandbox and sandbox2. 

Requested support for additional skin values and mapping to appropriate CN addresses:

Hi Terry,

If convenient, I would like to add support for three additional skin values:

DataONEDev2   -  cn-dev-2.test.dataone.org

DataONEStage2  -  cn-stage-2.test.dataone.org

DataONESandbox2  -  cn-sandbox-2.test.dataone.org
https://redmine.dataone.org/projects/d1/wiki/_&quot%24%7BCONTEXT_LABEL%7D&quot_==_&quotDEV&quot_
https://redmine.dataone.org/projects/d1/wiki/_&quot%24%7BCONTEXT_LABEL%7D&quot_==_&quotSTAGE&quot_
https://redmine.dataone.org/projects/d1/wiki/_&quot%24%7BCONTEXT_LABEL%7D&quot_==_&quotSTAGE2&quot_
https://redmine.dataone.org/projects/d1/wiki/_&quot%24%7BCONTEXT_LABEL%7D&quot_==_&quotSANDBOX&quot_
https://redmine.dataone.org/projects/d1/wiki/_&quot%24%7BCONTEXT_LABEL%7D&quot_==_&quotSANDBOX2&quot_


As you might surmise, these are all additional test environments used by DataONE. Their account management is separate from other environments,

so support for the additional skins is necessary to ensure complete test coverage is available.

Please let me know if you require any additional information.

thanks,

Dave V.

#2 - 2015-10-06 18:08 - Ben Leinfelder

Updated the postinst script. The Myproxy ID can be shared across test environments because we share the same public key (from public wild card

*.test.dataone.org certificate). Will close when we hear back from CILogon that the skins have been configured on their end.

#3 - 2015-10-21 18:00 - Ben Leinfelder

- Status changed from In Progress to Closed

- % Done changed from 30 to 100

- translation missing: en.field_remaining_hours set to 0.0

CILogon has configured the other skins now.
